ru.bitel.bgbilling.kernel.tariff.server.bean

## Class TariffGroupManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<TariffGroup>
      - - ru.bitel.bgbilling.kernel.tariff.server.bean.TariffGroupDao
        - - ru.bitel.bgbilling.kernel.tariff.server.bean.TariffGroupManager

- All Implemented Interfaces:
    java.lang.AutoCloseable, Directory<TariffGroup>

  Deprecated.
  use `TariffGroupDao`

      @Deprecated
      public class TariffGroupManager
      extends TariffGroupDao

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffGroupManager(java.sql.Connection con)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.tariff.server.bean.TariffGroupDao

      `close, deleteTariffGroup, get, getFromRS, getTariffGroupById, getTariffGroupByID, getTariffGroupList, getTariffGroupMap, getTariffGroupMap, getTariffGroupMask, list, updateImpl, updateTariffGroup`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

      `delete, get, update`

- - ### Constructor Detail

    - #### TariffGroupManager

          public TariffGroupManager(java.sql.Connection con)

      Deprecated.